Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wli.jpd
Enum Process.Binding

    java.lang.Object
      java.lang.Enum<Process.Binding>
          com.bea.wli.jpd.Process.Binding

All Implemented Interfaces:
  Serializable, Comparable<Process.Binding>

Enclosing class:
  Process

    public static enum Process.Binding

extends Enum<Process.Binding>

Enum Constant Summary
`EBXML`
`ROSETTANET`
`WEBSERVICE`

Method Summary
`static Process.Binding` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Process.Binding[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WEBSERVICE

    public static final Process.Binding WEBSERVICE

### EBXML

    public static final Process.Binding EBXML

### ROSETTANET

    public static final Process.Binding ROSETTANET

Method Detail

### values

    public static final Process.Binding[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Process.Binding c : Process.Binding.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Process.Binding valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD